<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>

	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">

	<h1>Bootstrap Grid System</h1>

	<!-- Two Columns Start -->
	<h2>Two Columns</h2>
	
	<div class="container-fluid">
	
		<h3>1:1</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
		</div>

		<h3>1:2</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 col</div>
		</div>

		<h3>1:3</h3>

		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 col</div>
		</div>

	</div>
	<!-- Two Columns End -->

	<!-- Three Columns Start -->
	<h2>Three Columns</h2>

	<!-- Three Equal Columns -->
	<h3>1:1:1</h3>
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 col</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
	</div>

	<h3>1:2:1</h3>
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
	</div>

	<h3>1:4:1</h3>
	<div class="text-light row">
		<div class="bg-primary pt-3 pb-3 border border-dark col-2">2 col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 col</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col-2">2 col</div>
	</div>

	<!-- Row with three columns divided in an uneven ratio -->

	<h3>Uneven Ratio</h3>
	<div class="text-light row">
		<div class="bg-secondary pt-3 pb-3 border border-dark col-3">3 col</div>
		<div class="bg-primary pt-3 pb-3 border border-dark col-7">7 col</div>
		<div class="bg-secondary pt-3 pb-3 border border-dark col-2">2 col</div>
	</div>

	<!-- Three Columns End -->

	<!-- Automatic Sizing Start -->
	<h3>Automatic Sizing</h3>

	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
		</div>
	</div>
	<!-- Automatic Sizing End -->


	<!-- Multi-Column Layouts (more than 12 col) -->
	<h3>Multi-Column Layouts</h3>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
		</div>
	</div>

	<!-- Multi-Column Layouts End -->

	<!-- Offsetting Columns Start -->
	<h3>Offsetting Columns</h3>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-3 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-4 col-6">Offset Column</div>

		</div>
	</div>
	<!-- Offsetting Columns End -->

	<!-- Columns Order System Start-->
	<h2>Column Orders</h2>
	<div class="container-fluid">	
		<div class="text-light row">
			<!-- sm - small devices -->
			<!-- md - medium and large devices -->
			<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
		</div>
	</div>
	<!-- Columns Order End -->


	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>